PHP neu kompilieren?

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

PHP neu kompilieren?

Postby Herr-Vorragend » 19. November 2005 20:47

Hi,

ich brauch unbedingt die extension pspell, allerdings ist die bei lampp nicht dabei. Was mach ich da am besten? Ich will ja alles behalten was in Lampp drin ist, nur eben noch pspell dazu, also beim ./configure müsst --with-pspell mit rein, aber PHP neu kompilieren ist ja auch blöd, weil mir eben alles andere was in lampp schon drin steckt fehlt...

MfG, Herr-Vorragend
Herr-Vorragend
 
Posts: 10
Joined: 23. July 2004 15:24

Postby ClausVB » 21. November 2005 13:52

Es gibt ein Entwicklerpaket, das Du herunterladen kannst. Wie PHP kompiliert/konfiguriert (/configure ...) wurde, erfährst Du über die phpinfo(), damit solltest Du in der Lage sein, das bestehende System PLUS Zusätze zu kompilieren (make, make install).

Gruß
Claus
User avatar
ClausVB
 
Posts: 32
Joined: 12. June 2003 10:46
Location: NRW - Germany

Postby Wiedmann » 26. November 2005 10:57

Abgesehen vom XAMPP-Devel Paket brauchst du natürlich noch aspell auf deinem Rechner:
http://de.php.net/manual/en/ref.pspell. ... quirements

und den PHP-Quellcode. Installieren / bauen tut man die Ext dann so:
http://de.php.net/manual/en/ref.pspell. ... stallation
http://de.php.net/manual/en/install.pecl.phpize.php
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby awgerber » 08. July 2006 05:40

ClausVB wrote:Es gibt ein Entwicklerpaket, das Du herunterladen kannst. Wie PHP kompiliert/konfiguriert (/configure ...) wurde, erfährst Du über die phpinfo(), damit solltest Du in der Lage sein, das bestehende System PLUS Zusätze zu kompilieren (make, make install).

Gruß
Claus


Hi Claus,

ich bekomme beim compilieren folgenden fehler:
Code: Select all
checking for BZip2 support... yes
checking for BZip2 in default path... found in /usr
checking for BZ2_bzerror in -lbz2... no
configure: error: bz2 module requires libbz2 >= 1.0.0


Hast Du irgenwelche ideen?

Achim
awgerber
 
Posts: 2
Joined: 14. March 2006 09:35

Postby ve.ru » 13. July 2006 08:46

awgerber wrote:
Code: Select all
checking for BZip2 support... yes
checking for BZip2 in default path... found in /usr
checking for BZ2_bzerror in -lbz2... no
configure: error: bz2 module requires libbz2 >= 1.0.0


libbz2 und libbz2-devel installieren. Namen können je nach Distro etwas abweichen (z. B. libbz2-dev)
ve.ru
 
Posts: 17
Joined: 06. October 2005 12:00


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 1 guest